Get Sermon Chapters
curl --request GET \
--url https://api.thefaithapp.com/v1/media/{mediaId}/chapters \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/media/{mediaId}/chapters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/media/{mediaId}/chapters"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"media_id": 30,
"chapters": [
{
"start_ms": 0,
"title": "Welcome"
}
]
}
}Content
Get Sermon Chapters
Fetch published chapter markers for a sermon in the authenticated member’s church. Returns data: null when no published chapters are available.
GET
/
v1
/
media
/
{mediaId}
/
chapters
Get Sermon Chapters
curl --request GET \
--url https://api.thefaithapp.com/v1/media/{mediaId}/chapters \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/media/{mediaId}/chapters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/media/{mediaId}/chapters"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"media_id": 30,
"chapters": [
{
"start_ms": 0,
"title": "Welcome"
}
]
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Path Parameters
Unique identifier of the audio or video sermon.
Was this page helpful?